This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 207047 - Review Request: ed2k_hash - Ed2k file hash calculator
Review Request: ed2k_hash - Ed2k file hash calculator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-18 19:01 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 14:09:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-09-18 19:01:35 EDT
Spec URL: http://rpm.greysector.net/extras/ed2k_hash.spec
SRPM URL: http://rpm.greysector.net/extras/ed2k_hash-0.4.0-1.src.rpm
Description:
A tool that outputs ed2k-links for given files.
Comment 1 Parag AN(पराग) 2006-09-19 01:21:21 EDT
{Not Official Reviewer}
packaging looks ok.
+ Mockbuild is successfull for i386 FC6 
+ rpmlint on binary rpm is silent
- dist tag is NOT present
+ Buildroot is correct
+ source URL is correct
+ BR is correct
+ License used is GPL
+ License file COPYING is included
+ desktop file is handled correctly
+ MD5 sum on tarball is matching upstream tarball
545d44d5e00078011f41a18e235f4af8  ed2k_hash-0.4.0.tar.gz

Remove %doc from gui package as its again installing those files doc files which
are laready present in ed2k_hash package.

Also after installing ed2k_hash package when i tried to install ed2k_hash-gui, i got
error: Failed dependencies:
        libfltk.so.1.1 is needed by ed2k_hash-gui-0.4.0-1.i386
Comment 2 Parag AN(पराग) 2006-09-19 02:24:19 EDT
my mistake forgot to check fltk-devel package. Ignore Failed dependecies error.
Package is working fine. Even desktop file is installed successfully.

But remove %doc files from gui package and reupload new version.
Comment 3 Dominik 'Rathann' Mierzejewski 2006-09-19 19:09:31 EDT
But the GUI version is independent of the CLI one. So it's perfectly possible to
have only the GUI version installed. The user would be left without docs in that
case.
Comment 4 Parag AN(पराग) 2006-09-20 04:57:26 EDT
Ok. I got that. I thought you want to create 2 packages. Anyway everything is OK
now.
Comment 5 Mamoru TASAKA 2006-09-20 11:21:40 EDT
I will review this.

Well;
1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
   * Tags
     - Add %{?dist} tag.

   * Encoding
     - I recommend that the encoding of AUTHORS file is changed from 
       ISO-8859-1 to UTF-8.

   * Desktop files
     - Well, I recommend that some icon is installed in -gui package,
       make desktop file have the entry of the icon name.
       Perhaps you may get some image file from upstream. If you do
       so, write it to spec file where you got the image file. If some
       image conversion is needed (for example, making image file smaller),
       you can do so and then include the image file to -gui package
       (then write to the spec file what you have done).

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   = Nothing.
Comment 6 Dominik 'Rathann' Mierzejewski 2006-09-24 09:48:08 EDT
http://rpm.greysector.net/extras/ed2k_hash.spec
http://rpm.greysector.net/extras/ed2k_hash-0.4.0-2.src.rpm

- added dist tag
- converted AUTHORS to utf8
- added an icon from ed2k-gtk-gui
Comment 7 Mamoru TASAKA 2006-09-24 10:36:49 EDT
Well, one thing to be fixed.

All %post, %postun scriptlets should be for gui package.
I want to check this package once more to check if the icon
installed appear on GNOME menu.
Comment 8 Dominik 'Rathann' Mierzejewski 2006-09-27 13:16:08 EDT
http://rpm.greysector.net/extras/ed2k_hash.spec
http://rpm.greysector.net/extras/ed2k_hash-0.4.0-3.src.rpm

But of course! I don't know how I missed that.
Comment 9 Mamoru TASAKA 2006-09-27 13:42:38 EDT
Okay. Please go ahead.

--------------------------------------------------------------
This package (ed2k_hash) is APPROVED by me.
Comment 10 Dominik 'Rathann' Mierzejewski 2006-09-27 14:09:36 EDT
Imported and built for devel. FC-5 branch requested.

Note You need to log in before you can comment on or make changes to this bug.